﻿using Infragistics.Win.UltraWinTabControl;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraTabControlSelectedHotTrack
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            Color[] colors = { Color.Red, Color.Orange, Color.Yellow, Color.Green, Color.Blue, Color.Purple };

            for(int i=0; i<3; i++)
            {
                UltraTab tab = new UltraTab() { Text = "New Tab " + i.ToString() };
                tab.HotTrackAppearance.ForeColor = colors[i];
                tab.HotTrackSelectedAppearance.ForeColor = colors[i + 3];
                ultraTabControl1.Tabs.Add(tab);
            }

            ultraTabControl1.UseHotTracking = Infragistics.Win.DefaultableBoolean.True;           
        }
    }
}
